import { r as registerInstance, h } from './index-d0047af2.js';
var ElementHeaderEditor = /** @class */ (function () {
    function ElementHeaderEditor(hostRef) {
        registerInstance(this, hostRef);
        this.label = {
            name: 'Header',
            placeholderText: 'Header text'
        };
    }
    ElementHeaderEditor.prototype.prop = function (path, options) {
        if (options === void 0) { options = {}; }
        return this.handler.prop(path, Object.assign(Object.assign({}, options), { label: this.label }));
    };
    ElementHeaderEditor.prototype.render = function () {
        return [
            h("bce-input", Object.assign({}, this.prop('text', { localize: true }), { type: "text" })),
            h("slot", null)
        ];
    };
    return ElementHeaderEditor;
}());
export { ElementHeaderEditor as bce_element_header_editor };
